Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.reporting
[Java] Interface Reporting

    public interface Reporting

An object that provides reporting options

Parameters:
  `` - The base type of the report container

Method Summary
`Object` | `getReports()` Returns the report container.
`Object` | `reports(Closure closure)` Allow configuration of the report container by closure.

Method Detail

### getReports

    public Object getReports()

  Returns the report container.
  Returns:
    The report container

### reports

    public Object reports(Closure closure)

  Allow configuration of the report container by closure. For example…

       reports {
         html {
           enabled false
         }
         xml.destination "build/reports/myReport.xml"
       }

  Parameters:
    `closure` - The configuration
  Returns:
    The report container

Gradle API 1.1-rc-1